From ef1b007c860eb53f8ed30d70e65ecffbe608df85 Mon Sep 17 00:00:00 2001
From: Francois Andrieu <darknao@fedoraproject.org>
Date: Jan 08 2022 19:50:13 +0000
Subject: [PATCH 60/88] Sync stg with prod


Update logo
Add Infra docs & EPEL
Add Workstation SIG docs
Update WS SIG branch
Switch EPEL from master to main
use the 'main' branch for commops
Add package maintainers
support an easy way to add an announcement to the top of every page
Update UI with new license info
F35 docs
New repo for Fedora Websites
Add Server WG docs

---

diff --git a/supplemental-ui/layouts/homepage.hbs b/supplemental-ui/layouts/homepage.hbs
new file mode 100644
index 0000000..bd2c4d7
--- /dev/null
+++ b/supplemental-ui/layouts/homepage.hbs
@@ -0,0 +1,59 @@
+<!DOCTYPE html>
+<html lang="en">
+  <head>
+    <meta charset="utf-8">
+    <meta name="viewport" content="width=device-width, initial-scale=1.0">
+    <title>{{{detag (or page.title 'Untitled')}}}{{#if site.title}} :: {{site.title}}{{/if}}</title>
+    {{#if page.canonicalUrl}}
+    <link rel="canonical" href="{{page.canonicalUrl}}">
+    {{/if}}
+    {{#if page.description}}
+    <meta name="description" content="{{page.description}}">
+    {{/if}}
+    {{#if page.keywords}}
+    <meta name="keywords" content="{{page.keywords}}">
+    {{/if}}
+    {{#if (or antoraVersion site.antoraVersion)}}
+    <meta name="generator" content="Antora {{or antoraVersion site.antoraVersion}}">
+    {{/if}}
+    <link rel="stylesheet" href="{{uiRootPath}}/css/site.css">
+{{> head}}
+  </head>
+  <body class="article">
+{{> announcement}}
+{{> header}}
+<div class="toolbar" role="navigation" style="background-color:white">
+  <button class="navigation-toggle"></button>
+<nav class="crumbs" role="navigation" aria-label="breadcrumbs"></nav>
+{{> page-languages}}
+{{> page-versions}}
+  {{#if page.editUrl}}
+  <div class="edit-this-page"><a href="{{page.editUrl}}">Edit this Page</a></div>
+  {{/if}}
+</div>
+
+
+<div class="main-wrapper">
+  <main class="main" role="main">
+
+<article class="doc" style="margin: 0; max-width: 100%;">
+{{#if (eq page.layout '404')}}
+<div class="paragraph">
+<p>The page you're looking for does not exist. It may have been moved.</p>
+</div>
+<div class="paragraph">
+<p>If you arrived on this page by clicking on a link, please notify the owner of the site that the link is broken.
+If you typed the URL of this page manually, please double check that you entered the address correctly.</p>
+</div>
+{{else}}
+
+{{{page.contents}}}
+{{/if}}
+</article>
+  </main>
+</div>
+
+
+{{> footer}}
+  </body>
+</html>
diff --git a/supplemental-ui/layouts/with_menu.hbs b/supplemental-ui/layouts/with_menu.hbs
new file mode 100644
index 0000000..316c7c6
--- /dev/null
+++ b/supplemental-ui/layouts/with_menu.hbs
@@ -0,0 +1,28 @@
+<!DOCTYPE html>
+<html lang="en">
+  <head>
+    <meta charset="utf-8">
+    <meta name="viewport" content="width=device-width, initial-scale=1.0">
+    <title>{{{detag (or page.title 'Untitled')}}}{{#if site.title}} :: {{site.title}}{{/if}}</title>
+    {{#if page.canonicalUrl}}
+    <link rel="canonical" href="{{page.canonicalUrl}}">
+    {{/if}}
+    {{#if page.description}}
+    <meta name="description" content="{{page.description}}">
+    {{/if}}
+    {{#if page.keywords}}
+    <meta name="keywords" content="{{page.keywords}}">
+    {{/if}}
+    {{#if (or antoraVersion site.antoraVersion)}}
+    <meta name="generator" content="Antora {{or antoraVersion site.antoraVersion}}">
+    {{/if}}
+    <link rel="stylesheet" href="{{uiRootPath}}/css/site.css">
+{{> head}}
+  </head>
+  <body class="article">
+{{> announcement}}
+{{> header}}
+{{> main}}
+{{> footer}}
+  </body>
+</html>
diff --git a/supplemental-ui/layouts/without_menu.hbs b/supplemental-ui/layouts/without_menu.hbs
new file mode 100644
index 0000000..910fb6c
--- /dev/null
+++ b/supplemental-ui/layouts/without_menu.hbs
@@ -0,0 +1,35 @@
+<!DOCTYPE html>
+<html lang="en">
+  <head>
+    <meta charset="utf-8">
+    <meta name="viewport" content="width=device-width, initial-scale=1.0">
+    <title>{{{detag (or page.title 'Untitled')}}}{{#if site.title}} :: {{site.title}}{{/if}}</title>
+    {{#if page.canonicalUrl}}
+    <link rel="canonical" href="{{page.canonicalUrl}}">
+    {{/if}}
+    {{#if page.description}}
+    <meta name="description" content="{{page.description}}">
+    {{/if}}
+    {{#if page.keywords}}
+    <meta name="keywords" content="{{page.keywords}}">
+    {{/if}}
+    {{#if (or antoraVersion site.antoraVersion)}}
+    <meta name="generator" content="Antora {{or antoraVersion site.antoraVersion}}">
+    {{/if}}
+    <link rel="stylesheet" href="{{uiRootPath}}/css/site.css">
+{{> head}}
+  </head>
+  <body class="article">
+{{> announcement}}
+{{> header}}
+<div class="main-wrapper">
+
+  <main class="main" role="main">
+{{> toolbar}}
+{{> article}}
+  </main>
+</div>
+
+{{> footer}}
+  </body>
+</html>
diff --git a/supplemental-ui/partials/announcement.hbs b/supplemental-ui/partials/announcement.hbs
new file mode 100644
index 0000000..0237325
--- /dev/null
+++ b/supplemental-ui/partials/announcement.hbs
@@ -0,0 +1 @@
+<!-- Add any HTML code to show at the top of each page — like a banner to a survey, some announcement, etc. Leave this file empty to not show anything-->
diff --git a/supplemental-ui/partials/footer-content.hbs b/supplemental-ui/partials/footer-content.hbs
new file mode 100644
index 0000000..8488b7b
--- /dev/null
+++ b/supplemental-ui/partials/footer-content.hbs
@@ -0,0 +1,4 @@
+<footer class="footer">
+  <p>All Fedora Documentation content available under <a href="http://creativecommons.org/licenses/by-sa/4.0/legalcode">CC BY-SA 4.0</a> or, when specifically noted, under another <a href="https://fedoraproject.org/wiki/Licensing:Main">accepted</a> free and open content license.</p>
+  <p>Last build: {{{env.ANTORA_DATE}}}</p>
+</footer>

